Loading...
Searching...
No Matches
su_osx_runloop.h File Reference

OSX Run Loop integration. More...

`#include <sofia-sip/su_wait.h>`
`#include <CoreFoundation/CoreFoundation.h>`
Include dependency graph for su_osx_runloop.h:

Go to the source code of this file.

## Macros

#define | SU_OSX_RUNLOOP_H
| Defined when <sofia-sip/su_osx_runloop.h> has been included.

## Functions

su_root_t * | su_root_osx_runloop_create (su_root_magic_t *))
| Create a reactor object.
void | su_root_osx_prepare_run (su_root_t *)
| Prepare root to be run on OSX Run Loop.

## Detailed Description

OSX Run Loop integration.

Author
  Martti Mela Martt.nosp@m.i.Me.nosp@m.la@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri Sep 22 16:49:51 EEST 2006 mela

Since
  New in 1.12.4.

## Function Documentation

## su_root_osx_prepare_run()

void su_root_osx_prepare_run | ( | su_root_t * | root | ) |

Prepare root to be run on OSX Run Loop.

Sets su_root_t object to be callable by the application's run loop. This function is to be used instead of su_root_run() for OSX applications using Core Foundation's Run Loop.

The function su_root_osx_prepare_run() returns immmediately.

Parameters

  root | pointer to root object

Since
  New in 1.12.4.

## su_root_osx_runloop_create()

su_root_t * su_root_osx_runloop_create | ( | su_root_magic_t * | magic | ) |

Create a reactor object.

Allocate and initialize the instance of su_root_t.

Parameters

  magic | pointer to user data

Returns
  A pointer to allocated su_root_t instance, NULL on error.

Since
  New in 1.12.4.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.